%define oname openpyxl
%def_with python3

Name:    python-module-%oname
Version: 2.3.5
Release: alt1
Summary: A Python library to read/write Excel 2007 xlsx/xlsm files
License: MIT/Expat
Group:   Development/Python
Url:     http://openpyxl.readthedocs.io
Packager: Andrey Cherepanov <cas@altlinux.org>

Source: %oname-%version.tar

BuildArch: noarch

%py_requires jdcal json et_xmlfile

BuildRequires: python-module-jdcal
BuildRequires: python-module-setuptools-tests
BuildRequires: python-modules-json
BuildRequires: python-module-memory_profiler

%if_with python3
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-jdcal
BuildRequires: python3-module-setuptools-tests
BuildRequires: python3-module-memory_profiler
%endif

%py_provides %oname

%description
openpyxl is a Python library to read/write Excel 2010 xlsx/xlsm files.

It was born from lack of existing library to read/write natively from
Python the Office Open XML format.

%package -n python3-module-%oname
Summary: A Python library to read/write Excel 2007 xlsx/xlsm files
Group: Development/Python3
%py3_provides %oname
%py3_requires jdcal et_xmlfile

%description -n python3-module-%oname
openpyxl is a Python library to read/write Excel 2010 xlsx/xlsm files.

It was born from lack of existing library to read/write natively from
Python the Office Open XML format.

%prep
%setup -q -n %oname-%version

%if_with python3
cp -fR . ../python3
%endif

%build
%python_build

%if_with python3
pushd ../python3
%python3_build
popd
%endif

%install
%python_install

%if_with python3
pushd ../python3
%python3_install
popd
%endif

%check
python setup.py test
%if_with python3
pushd ../python3
python3 setup.py test
popd
%endif

%files
%doc *.rst
%python_sitelibdir/*

%if_with python3
%files -n python3-module-%oname
%doc *.rst
%python3_sitelibdir/*
%endif

%changelog
* Wed Jun 08 2016 Andrey Cherepanov <cas@altlinux.org> 2.3.5-alt1
- New version

* Sun Mar 13 2016 Ivan Zakharyaschev <imz@altlinux.org> 2.3.0-alt1.b1.1.1
- (NMU) rebuild with rpm-build-python3-0.1.9
  (for common python3/site-packages/ and auto python3.3-ABI dep when needed)

* Thu Jan 28 2016 Mikhail Efremov <sem@altlinux.org> 2.3.0-alt1.b1.1
- NMU: Use buildreq for BR.

* Sun Aug 16 2015 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.3.0-alt1.b1
- Version 2.3.0-b1

* Wed Feb 11 2015 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.1.4-alt1
- Initial build for Sisyphus

